Loading...
Searching...
No Matches
psmfilereaderbase.h File Reference
`#include "pappsomspp/export-import-config.h"`
`#include "pappsomspp/core/processing/cbor/cborstreamreaderinterface.h"`
`#include "pappsomspp/core/processing/uimonitor/uimonitorinterface.h"`
`#include "psmproteinmap.h"`
`#include "pappsomspp/core/peptide/peptide.h"`
`#include "pappsomspp/core/massspectrum/qualifiedmassspectrum.h"`
`#include <QCborArray>`

Go to the source code of this file.

## Classes

struct | pappso::cbor::psm::PsmFile
class | pappso::cbor::psm::PsmFileReaderBase
struct | pappso::cbor::psm::PsmFileReaderBase::PsmProteinRef

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge
namespace | pappso::cbor
namespace | pappso::cbor::psm